| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Properties | Private Attributes

# IG::Lib::SerializationDtoTypedBase< Type, BaseType > Class Template Reference

Inheritance diagram for IG::Lib::SerializationDtoTypedBase< Type, BaseType >:
[legend]
Collaboration diagram for IG::Lib::SerializationDtoTypedBase< Type, BaseType >:
[legend]

List of all members.

## Classes
class | SerializationDtoTyped
## Public Member Functions
| SerializationDtoTypedBase ()
object | CreateObjectFromType ()
## Properties
string | TypeFullName`[get, set]`
| Full name of the type of object whose data is contined by the current DTO.
string | TypeAssemblyQualifiedName`[get, set]`
| Assembly qualified name of the type of object whose data is contained by the current DTO.
## Private Attributes
string | _typeFullName
string | _typeAssemblyQualifiedName

### template<Type, BaseType>
class IG::Lib::SerializationDtoTypedBase< Type, BaseType >

## Member Function Documentation

template<Type , BaseType >

IG::Lib::SerializationDtoTypedBase< Type, BaseType >::SerializationDtoTypedBase | ( |  | ) | `[inline]`

template<Type , BaseType >

object IG::Lib::SerializationDtoTypedBase< Type, BaseType >::CreateObjectFromType | ( |  | ) | `[inline]`

## Member Data Documentation

template<Type , BaseType >

string IG::Lib::SerializationDtoTypedBase< Type, BaseType >::_typeFullName`[private]`

template<Type , BaseType >

string IG::Lib::SerializationDtoTypedBase< Type, BaseType >::_typeAssemblyQualifiedName`[private]`

## Property Documentation

template<Type , BaseType >

string IG::Lib::SerializationDtoTypedBase< Type, BaseType >::TypeFullName`[get, set]`

Full name of the type of object whose data is contined by the current DTO.

template<Type , BaseType >

string IG::Lib::SerializationDtoTypedBase< Type, BaseType >::TypeAssemblyQualifiedName`[get, set]`

Assembly qualified name of the type of object whose data is contained by the current DTO.

The documentation for this class was generated from the following file:

- SerializationDtoBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events